## xemacs21-packages 2009.02.17.dfsg.2

=== mule-packages/locale/Makefile ===
# Makefile for localization code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.28
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = locale
PKG_TYPE = regular
REQUIRES = mule-base
CATEGORY = mule

DATA_FILES = app-defaults/de/Emacs
DATA_DEST = app-defaults/de
DATA_1_FILES = app-defaults/fr/Emacs
DATA_1_DEST = app-defaults/fr
DATA_2_FILES = app-defaults/ja/Emacs
DATA_2_DEST = app-defaults/ja
DATA_3_FILES = app-defaults/ro/Emacs
DATA_3_DEST = app-defaults/ro
DATA_4_FILES = start-files/ja/locale-start.el start-files/ja/locale-start.elc
DATA_4_DEST = start-files/ja
DATA_5_FILES = start-files/ro/locale-start.el start-files/ro/locale-start.elc
DATA_5_DEST = start-files/ro
DATA_6_FILES = start-files/fr/locale-start.el start-files/fr/locale-start.elc
DATA_6_DEST = start-files/fr
# 21.5 references these files via current-language-environment rather than
# $LANG so for compatibility we'll store them in both places.
DATA_7_FILES = $(DATA_4_FILES)
DATA_7_DEST = start-files/Japanese
DATA_8_FILES = $(DATA_5_FILES)
DATA_8_DEST = start-files/Romanian
DATA_9_FILES = $(DATA_6_FILES)
DATA_9_DEST = start-files/French
DATA_10_FILES = app-defaults/sv/Emacs
DATA_10_DEST = app-defaults/sv

LOCALE_ELCS = start-files/ja/locale-start.elc start-files/ro/locale-start.elc \
	start-files/fr/locale-start.elc

EXTRA_DEPENDENCIES = $(LOCALE_ELCS)

include ../../XEmacs.rules

=== mule-packages/mule-base/Makefile ===
# Makefile for Mule base code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.53
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = mule-base
PKG_TYPE = regular
REQUIRES = fsf-compat xemacs-base apel
CATEGORY = mule

ELCS =	canna.elc char-table.elc chartblxmas.elc china-util.elc \
	cyril-util.elc kana-keyboard.elc korea-util.elc isearch-mule.elc \
	japan-util.elc mule-cne.elc mule-diag.elc mule-keyboard.elc \
	mule-trex.elc mule-util.elc thai-xtis-util.elc viet-util.elc \
	ethio-util.elc fsf-compat-unicode.elc

# The following are shipped unbytecompiled because they aren't grokked by
# the version of XEmacs used to build distribution packages
#EXTRA_SOURCES = ethio-util.el

DATA_FILES = $(shell echo etc/[FMTVcdmt]*)
DATA_DEST = mule
DATA_1_FILES = $(shell echo doc/Ch* doc/TAB*) $(shell echo doc/[INRXas]*) \
	README.SJ3.ja
DATA_1_DEST = mule-doc
DATA_2_FILES = $(shell echo doc/Thai/[Rs]*)
DATA_2_DEST = mule-doc/Thai
DATA_3_FILES = $(shell echo doc/viet/[FQRT]*)
DATA_3_DEST = mule-doc/viet

include ../../XEmacs.rules

=== unsupported/scop/Makefile ===
# This file is part of XEmacs.

# Copyright (C) 2001, 2002 Steve Youngs

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# Because of autoload issues, this strange subdirectory order needs to
# be maintained.  When adding new packages just put them at the end
# of the list.
PACKAGES= antlr-mode generic-modes

ASSUMED_PRESENT = cc-mode dired edebug ediff edit-utils eieio elib eshell \
	fsf-compat jde mail-lib pcl-cvs prog-modes semantic sh-script \
	speedbar tramp xemacs-base xemacs-devel

include ../../iterate.rules

=== xemacs-packages/apel/Makefile ===
# Makefile for apel lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
# Boston, MA  02110-1301  USA

VERSION = 1.33
AUTHOR_VERSION = 10.6
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = apel
PKG_TYPE = regular
REQUIRES = fsf-compat xemacs-base
CATEGORY = standard

include ../../Local.rules.inc

ELCS = apel-ver.elc broken.elc calist.elc emu.elc filename.elc \
	install.elc inv-xemacs.elc invisible.elc mcharset.elc \
	mcs-20.elc mcs-ltn1.elc mule-caesar.elc path-util.elc \
	pccl.elc poe-xemacs.elc poe.elc poem-ltn1.elc poem-xm.elc \
	poem.elc product.elc pym.elc richtext.elc static.elc \
	pcustom.elc pces.elc pces-raw.elc pces-20.elc pces-xfc.elc \
	atype.elc file-detect.elc

## The following files are no longer in upstream apel, but tm needs them.
ELCS += std11.elc std11-parse.elc

EXTRA_SOURCES = README.en ChangeLog.upstream

ifeq ($(BUILD_WITHOUT_MULE),)
# ELCS += emu-x20.elc
ELCS += mcs-xm.elc pccl-20.elc pces-xm.elc mcs-xmu.elc
EXTRA_SOURCES += README.ja
endif

PRELOADS = -l poe.el

include ../../XEmacs.rules

=== xemacs-packages/bbdb/Makefile ===
# Makefile for bbdb lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.32
AUTHOR_VERSION = 2.35
MAINTAINER = Robert Widhopf-Fenk <bbdb@robf.de>
PACKAGE = bbdb
PKG_TYPE = regular
REQUIRES = bbdb edit-utils gnus mh-e rmail supercite vm tm apel mail-lib \
	xemacs-base w3 fsf-compat eterm sh-script net-utils os-utils ecrypto
CATEGORY = standard

ELCS = lisp/bbdb-com.elc lisp/bbdb-ftp.elc lisp/bbdb-gnus.elc \
	lisp/bbdb-gui.elc lisp/bbdb-hooks.elc lisp/bbdb-merge.elc \
	lisp/bbdb-mhe.elc lisp/bbdb-migrate.elc lisp/bbdb-print.elc \
	lisp/bbdb-reportmail.elc lisp/bbdb-rmail.elc lisp/bbdb-sc.elc \
	lisp/bbdb-snarf.elc lisp/bbdb-srv.elc lisp/bbdb-vm.elc \
	lisp/bbdb-w3.elc lisp/bbdb-whois.elc lisp/bbdb-xemacs.elc \
	lisp/bbdb.elc

EXTRA_SOURCES = README INSTALL

DATA_FILES = $(shell echo utils/*.?l)
DATA_DEST = $(PACKAGE)
DATA_1_FILES = $(shell echo tex/*.tex)
DATA_1_DEST = $(PACKAGE)/tex

EXPLICIT_DOCS = texinfo/$(PACKAGE).texinfo
DOCS_TEXINFO_EXTENSION = t

AUTOLOAD_PATH = lisp

# vm-version provides 'vm
PRELOADS = -l vm-version

include ../../XEmacs.rules

=== xemacs-packages/calc/Makefile ===
# Makefile for Calc.

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.26
AUTHOR_VERSION = 2.02fX3
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = calc
PKG_TYPE = regular
REQUIRES = xemacs-base
CATEGORY = standard

ELCS = calc-macs.elc calc.elc calc-aent.elc calc-alg-2.elc calc-alg-3.elc \
	calc-alg.elc calc-arith.elc calc-bin.elc calc-comb.elc calc-comp.elc \
	calc-cplx.elc calc-embed.elc calc-ext.elc calc-fin.elc \
	calc-forms.elc calc-frac.elc calc-funcs.elc calc-graph.elc \
	calc-help.elc calc-incom.elc calc-keypd.elc calc-lang.elc \
	calc-maint.elc calc-map.elc calc-mat.elc calc-math.elc calc-misc.elc \
	calc-mode.elc calc-poly.elc calc-prog.elc calc-rewr.elc \
	calc-rules.elc calc-sel-2.elc calc-sel.elc calc-stat.elc \
	calc-store.elc calc-stuff.elc calc-trail.elc calc-undo.elc \
	calc-units.elc calc-vec.elc calc-yank.elc macedit.elc

DOCS_TEXINFO_EXTENSION = t
STANDARD_DOCS = t

DATA_FILES = calccard.tex
DATA_DEST = .

PRELOADS = -l calc-macs.el -l calc.el

include ../../XEmacs.rules

=== xemacs-packages/cedet-common/Makefile ===
# Makefile for Cedet/Common lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.01
AUTHOR_VERSION = 1.0pre4
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
AUTHOR = Eric M. Ludlam <zappo@gnu.org>
PACKAGE = cedet-common
PKG_TYPE = regular
REQUIRES = xemacs-base edebug
CATEGORY = standard

ELCS = cedet.elc cedet-compat.elc cedet-autogen.elc \
	cedet-compat.elc cedet-edebug.elc \
	cedet-files.elc cedet-load.elc \
	ezimage.elc fame.elc \
	inversion.elc mode-local.elc \
	pprint.elc sformat.elc working.elc


EXTRA_SOURCES = ChangeLog.upstream

DATA_1_FILES = $(wildcard icons/*.xpm)
DATA_1_DEST = ezimage

include ../../XEmacs.rules

=== xemacs-packages/clearcase/Makefile ===
# Makefile for clearcase lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.10
AUTHOR_VERSION = /main/laptop/165
MAINTAINER = Adrian Aichner <adrian@xemacs.org>
PACKAGE = clearcase
PKG_TYPE = regular
# Specify any required libraries which are not part of core lisp.
# cl comint custom dired easymenu reporter ring timer tq
REQUIRES = dired mail-lib xemacs-base sh-script
CATEGORY = standard

ELCS = clearcase.elc

STANDARD_DOCS = t

include ../../XEmacs.rules

=== xemacs-packages/cogre/Makefile ===
# Makefile for cogre lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.02
AUTHOR_VERSION = 0.5
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
AUTHOR = Eric M. Ludlam <zappo@gnu.org>
PACKAGE = cogre
PKG_TYPE = regular
REQUIRES = xemacs-base edebug xemacs-devel cedet-common eieio semantic
CATEGORY = standard

ELCS = cogre-mode.elc cogre-uml.elc cogre.elc \
	picture-hack.elc uml-create.elc \
	wisent-dot-wy.elc wisent-dot.elc

EXTRA_SOURCES = ChangeLog.upstream

STANDARD_DOCS = t

include ../../XEmacs.rules

=== xemacs-packages/crisp/Makefile ===
# Makefile for Crisp emulation lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.15
AUTHOR_VERSION = 1.34
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = crisp
PKG_TYPE = regular
REQUIRES =
CATEGORY = standard

ELCS = crisp.elc scroll-lock.elc

include ../../XEmacs.rules

=== xemacs-packages/dictionary/Makefile ===
# Makefile for dictionary code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.16
AUTHOR_VERSION = 1.8
MAINTAINER = Torsten Hilbrich <dictionary@myrkr.in-berlin.de>
PACKAGE = dictionary
PKG_TYPE = regular
REQUIRES = xemacs-base
CATEGORY = standard

ELCS = dictionary.elc connection.elc link.elc

EXTRA_SOURCES = README GPL

include ../../XEmacs.rules

=== xemacs-packages/dired/Makefile ===
# Makefile for dired lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

include Makefile.dired

VERSION = 1.19
AUTHOR_VERSION = 7.16
MAINTAINER = Mike Sperber <sperber@deinprogramm.de>
PACKAGE = dired
PKG_TYPE = regular
REQUIRES = xemacs-base prog-modes
CATEGORY = standard

ELCS = $(DOBJS) $(XEOBJS_DIRED) $(MULEOBJS_DIRED)

include ../../XEmacs.rules

=== debian/changelog ===
xemacs21-packages (2009.02.17.dfsg.2-5) unstable; urgency=low

  * Specify document encodings in texinfo files to fix churn with
    new version (closes: #952257).
  * Policy 4.3.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue, 25 Feb 2020 00:04:16 +0000

xemacs21-packages (2009.02.17.dfsg.2-4) unstable; urgency=low

  * Handle forthcoming INC churn in perl (closes: #835497).

 -- Mark Brown <broonie@debian.org>  Sat, 03 Sep 2016 11:42:30 +0100

xemacs21-packages (2009.02.17.dfsg.2-3) unstable; urgency=low

  * Skip building hyperbole as it tries to write to HOME 
    (closes: #789839).

 -- Mark Brown <broonie@debian.org>  Sat, 30 Jul 2016 17:59:24 +0100

xemacs21-packages (2009.02.17.dfsg.2-2) unstable; urgency=low

  * Add homepage.

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 15:09:37 +0100

xemacs21-packages (2009.02.17.dfsg.2-1) unstable; urgency=low

  * New maintainer, reupload to archive.  This is mostly the previous
    packaging with RC bug fixes - a bunch of additional work needs to
    be done to modernise this (closes: #729717).
  * Remove yet more non-free docs (closes: #695799, #709501).
  * Fix many build failures due to texinfo5.  Some of these fixes are
    far from ideal and will need to be revisited (closes: #712316).
  * Convert to v3.0 (quilt).
  * Delete some extra generated files in auctex on clean.

 -- Mark Brown <broonie@debian.org>  Sun, 17 Nov 2013 14:40:05 +0000

xemacs21-packages (2009.02.17.dfsg.1-1) unstable; urgency=low

  * Remove non-free contents from source tarball. (Closes: #527864)
  * debian/patches/01_debian-jde.dpatch: New patch.  This is a patch for
    jde to work in the correct way.
  * Rename debian/README.debian.in to debian/README.Debian and rewrite it.
  * debian/control.in:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.
  * Use debhelper version 5 instead of verion 4.

 -- OHURA Makoto <ohura@debian.org>  Fri, 26 Mar 2010 18:57:25 +0900

xemacs21-packages (2009.02.17-1) unstable; urgency=low

  * New upstream release
  * debian/Local.rules: Update.
  * debian/control.in:
    - Update Standards-Version.
    - Change Build-dependency on texlive-base to texlive-latex-base.
    auctex uses latex command while building.
    - Drop the obsolete xutils from Build-Depends-Indep: field.  And add
    xfonts-utils. x-symbols uses bdftopcf.
  * debian/PackagesMakefile.in: Set up permissions.  Set execute
    permission to Perl or Shell scripts and drop it from executable
    files. (for lintian)

 -- OHURA Makoto <ohura@debian.org>  Thu, 05 Mar 2009 11:56:37 +0900

xemacs21-packages (2007.04.27-1) unstable; urgency=low

  * New upstream release. (Closes: #429728).
  * debian/control.in:
    - Changed Build-dependency on teTeX to TeX Live.
    - Updated Standards-Version.
    - Moved debhelper from Build-Depends-Indep to Build-Depends.
  * debian/rules: Check the existance of Local.rules before running
    make distclean. (lintian)
  * debian/patches/01_usr_local_interpreter.dpatch: Added patch, which
    changes the path of the interpreter from /usr/local/bin to /usr/bin.

 -- OHURA Makoto <ohura@debian.org>  Mon, 13 Aug 2007 20:36:03 +0900

xemacs21-packages (2006.05.10-1) unstable; urgency=low

  * New upstream release
    - Remove non-free RFC documentation from .orig.tar.gz (Closes: #365179).
    - Fixed at Upstream. (Closes: #346116).

 -- OHURA Makoto <ohura@debian.org>  Wed,  5 Jul 2006 00:15:58 +0900

xemacs21-packages (2005.12.08-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_diff-kill-hunk.dpatch: Delete.  Fixed at Upstream.

 -- OHURA Makoto <ohura@debian.org>  Sat, 10 Dec 2005 22:05:28 +0900

xemacs21-packages (2005.07.15-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_sql-mode.dpatch: Delete. Fixed at Upstream.

 -- OHURA Makoto <ohura@debian.org>  Sun, 17 Jul 2005 23:59:44 +0900

xemacs21-packages (2005.05.05-2) unstable; urgency=low

  * debian/patches/01_sql-mode.dpatch: Fix error generating the abbrev
    table. (Closes: #312407).
  * debian/control.in: Update Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Wed, 13 Jul 2005 21:55:41 +0900

xemacs21-packages (2005.05.05-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_gnus-8bit-sender.dpatch: Delete. Fixed at Upstream.

 -- OHURA Makoto <ohura@debian.org>  Tue, 17 May 2005 00:50:30 +0900

xemacs21-packages (2005.03.07-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_auctex-overlay.dpatch: Delete. Fixed at Upstream.
  * debian/patches/01_mule-ucs-texi-typo.dpatch: Delete. Ditto.

 -- OHURA Makoto <ohura@debian.org>  Wed,  9 Mar 2005 14:40:00 +0900

xemacs21-packages (2005.01.18-2) unstable; urgency=low

  * debian/patches/01_auctex-overlay.dpatch: Fix overlays-at error.  Add
    (require 'overlay) to latex.el. (Closes: #293800).
  * debian/patches/01_gnus-8bit-sender.dpatch: Fix Gnus problem with 8bit
    sender. (Closes: #292027).

 -- OHURA Makoto <ohura@debian.org>  Wed,  9 Mar 2005 00:00:38 +0900

xemacs21-packages (2005.01.18-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use `make all' in build target.
  * debian/patches/01_mule-ucs-install.dpatch: Delete.
  * debian/patches/01_diff-kill-hunk.dpatch: Fix diff-kill-hunk
    problem. (Closes: #147821, #147822).

 -- OHURA Makoto <ohura@debian.org>  Thu,  3 Feb 2005 10:02:14 +0900

xemacs21-packages (2004.08.18-2) unstable; urgency=low

  * "Happy Holidays!" Release.
  * debian/README.debian.in: Add description about AUCTeX.
    (Closes: #274254)
  * debian/control.in: Apply patch for rewriting descriptions, thanks to
    Shyamal Prasad. (Closes: #209929, #209998).

 -- OHURA Makoto <ohura@debian.org>  Sat, 25 Dec 2004 14:50:42 +0900

xemacs21-packages (2004.08.18-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_mule-ucs-install.dpatch: Disable.  Fix at Upstream
    Release.


=== debian/control ===
Source: xemacs21-packages
Section: editors
Build-Depends: debhelper (>= 5.0.0)
Priority: optional
Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 4.3.0
Build-Depends-Indep: xemacs21-mule, texinfo, info, texlive-latex-base, texi2html, xfonts-utils

Package: xemacs21-basesupport
Architecture: all
Conflicts: xemacs21-support (<= 21.4.13-2)
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- compiled elisp support files
 This package contains the base extra elisp files in order to have a
 functioning xemacs21 package.
 .
 This package contains only the compiled elisp files.

Package: xemacs21-basesupport-el
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- source elisp support files
 This package contains the base extra elisp files in order to have a
 functioning xemacs21 package.
 .
 The xemacs21-basesupport package contains the
 compiled versions of these files.
 .
 The major reason to install this package is if you want to learn 
 elisp or modify the libraries for your specific installation. 

Package: xemacs21-mulesupport
Architecture: all
Conflicts: xemacs21-support (<= 21.4.13-2)
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- Mule elisp support files
 This package contains the mule elisp files in order to have a functioning
 mule xemacs21 package.
 .
 Mule is the extension to (x)emacs that allows for the display of
 non-European characters (for example Japanese and Korean characters).

Package: xemacs21-mulesupport-el
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- source elisp support files
 This package contains the mule elisp files in order to have a functioning
 mule xemacs21 package.
 .
 Mule is the extension to (x)emacs that allows for the display of
 non-European characters (for example Japanese and Korean characters).
 .
 The xemacs21-mulesupport package contains the
 compiled versions of these files.
 .
 The major reason to install this package is if you want to learn 
 elisp or modify the libraries for your specific installation.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=xemacs21-packages

# this script moves directories so things can't be on separate
# partitions ( no idea why they would be to begin with, but hey
# doesn't hurt to warn :)
package=xemacs
version = $(shell /bin/sh debian/find-version)
maj_version = $(shell /bin/sh debian/find-major-version)

# any way to do this automatically since we'd like this to be
# easily used with no changes on other architectures, but still
# want to be able to specify.  Does this work OK?
machine_type = $(shell dpkg --print-architecture)
prefix=usr

debianconfig = ${machine_type}-debian-linux
html_file_loc = debian/html
tmp_file_loc = debian/tmp

var_file = ./var_file.pl

debian_config_scripts = debian/makevarfile
topdir = $(shell pwd)

# to make this basically cross portable to
xemacs_ver = xemacs${maj_version}

create-source-tar: pre-build
	cp debian/Local.rules .
	$(MAKE) -f debian/PackagesMakefile create-source-tar

build: pre-build build-stamp
build-stamp:
	dh_testdir

	cp debian/Local.rules .
	$(MAKE) all

	$(MAKE) -f debian/PackagesMakefile build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp pre-build-stamp
	# set up the files to not cause problems when trying to use them
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file)

	#-mv install.old install

	-rm -f debian/substvars
	-rm -f debian/files
	-rm -rf debian/tmp #`find debian/* -type d`
	-rm -f xemacs-packages/auctex/preview/latex/bootstrap.log
	-rm -f xemacs-packages/auctex/preview/latex/preview-mk.ins
	-rm -f xemacs-packages/auctex/preview/latex/preview-mk.log
	-rm -f xemacs-packages/auctex/preview/latex/preview.aux
	-rm -f xemacs-packages/auctex/preview/latex/preview.drv
	-rm -f xemacs-packages/auctex/preview/latex/preview.log

	# Add here commands to clean up after the build process.
	[ ! -f Local.rules ] || $(MAKE) distclean

# Remove extra generated files
	-rm -f xemacs-packages/eshell/esh-groups.el \
		xemacs-packages/ess/texi/version.texi \
		xemacs-packages/ess/VERSION \
		xemacs-packages/x-symbol/man/index.html
	if [ -f debian/PackagesMakefile ] ; then \
	  $(MAKE) -f debian/PackagesMakefile clean ; \
	fi

	-rm -f `find . -name "*~"`
	-rm -f `find . -name '*.orig'`
	-rm -f `find . -name '*.elc'`
	-rm -f Local.rules

	dh_clean

	# must be done last because it removes the control file
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file) clean

debian/PackagesMakefile: pre-build

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	#dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install

	#touch install-stamp


pre-build: pre-build-stamp
pre-build-stamp:
	$(checkdir)
	chmod +x $(debian_config_scripts)
	debian/makevarfile "debian/$(var_file)" \
	    "MAJVERSION" "$(maj_version)" \
	    "VERSION" "$(version)" \
	    "SUBNAME" "" \
	    "CONF_NAME" "$(debianconfig)" \
	    "ARCH" "$(machine_type)" \
	    "HTML_FILE_LOC" "$(html_file_loc)" \
	    "TMP_FILE_LOC" "$(tmp_file_loc)" \
	    "PREFIX" "$(prefix)" \
	    "TOPDIR" "$(topdir)"
	#set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file) clean
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file)
	# replace all references to (dir) to XEmacs${maj_version} in
	# the info files
	#touch pre-build-stamp




# Build architecture-independent files here.
binary-indep: build install
	#-mv install install.old
	$(MAKE) -f debian/PackagesMakefile binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	#-mv install install.old
	$(MAKE) -f debian/PackagesMakefile binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local variables:
# mode: makefile
# End:
